/**
 * Shoots laser beams.
 * 
 * @author Jannis Andrija Schnitzer, Martin Schend
 * @version 2011-01-22
 */
public class LaserGun  extends Gun 
{
    public static final int BASE_RECOVERY = 20;
    public static final int DY = 55;
    
    public LaserGun()
    {
        super();
    }
    public LaserGun(double abs_speed, double angle)
    {
        super(abs_speed, angle);
    }
    public LaserGun(Vector speed)
    {
        super(speed);
    }
    protected void init()
    {
        super.init();
        initial_recovery = BASE_RECOVERY;
        
        recovery = initial_recovery;
        dy = direction * 55;
    }
    public LaserGun copy_gun() {
        LaserGun g = new LaserGun(abs_speed, angle);
        g.setRecovery(recovery);
        g.setLevel(level);
        return g;
    }
    
    public Laser get_missile() {
        return new Laser(level);
    }
}
